module.exports = {
  create: {
    requestBody: [
      '!code',
      'dtype',
      'xtype',
      '!name',
      'pinyin',
      'logo',
      'license',
      'file_path',
      'contact',
      'addr',
      'introduction',
      'ishomepage',
      'homepage',
      'longitude',
      'latitude',
      'map_info',
      'state',
      'is_del',
      'sort'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'code',
      'dtype',
      'xtype',
      'name',
      'pinyin',
      'logo',
      'license',
      'file_path',
      'contact',
      'addr',
      'introduction',
      'ishomepage',
      'homepage',
      'longitude',
      'latitude',
      'map_info',
      'state',
      'is_del',
      'sort'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        code : 'code',
        dtype : 'dtype',
        xtype : 'xtype',
        name : 'name',
        pinyin : 'pinyin',
        logo : 'logo',
        license: 'license',
        file_path : 'file_path',
        contact : 'contact',
        addr : 'addr',
        introduction: 'introduction',
        ishomepage : 'ishomepage',
        homepage : 'homepage',
        longitude: 'longitude',
        latitude : 'latitude',
        map_info : 'map_info',
        state : 'state',
        is_del : 'is_del',
        sort : 'sort'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
