module.exports = {
  create: {
    requestBody: [
      "!name",
      "!password",
      "gender",
      "cardnumber",
      "phone",
      "email",
      "addr",
      "img_path",
      "birthday",
      "level",
      "levelname",
      "position",
      "school",
      "xl",
      "xw",
      "major",
      "professional",
      "resume",
      "project",
      "academic",
      "paper",
      "remark",
      "status",
      'deptname',
      'pid',
      'code',
      "role"
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "password",
      "gender",
      "cardnumber",
      "phone",
      "email",
      "addr",
      "img_path",
      "birthday",
      "level",
      "levelname",
      "position",
      "school",
      "xl",
      "xw",
      "major",
      "professional",
      "resume",
      "project",
      "academic",
      "paper",
      "remark",
      "status",
      'deptname',
      'pid',
      'code',
      "role"
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "%name%",
        cardnumber: "cardnumber",
        phone: "phone",
        email: "email",
        addr: "addr",
        img_path: "img_path",
        school: "school",
        level: "level",
        position: "position",
        xl: "xl",
        xw: "xw",
        status: "status",
        deptname: 'deptname',
        pid: 'pid',
        code: 'code',
        role: "role"
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
