module.exports = {
  create: {
    requestBody: [
      '!product_id',
      '!userid',
      '!market_userid',
      'description',
      'username',
      'product_name',
      'market_username',
      'dockid',
      'transaction_id',
      '!status'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'product_id',
      'userid',
      'market_userid',
      'description',
      'username',
      'product_name',
      'market_username',
      'dockid',
      'transaction_id',
      'status'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        product_id :'product_id',
        userid :'userid',
        market_userid :'market_userid',
        status :'status',
        username: 'username',
        product_name: 'product_name',
        dockid: 'dockid',
        transaction_id: 'transaction_id',
        market_username : 'market_username',
        description :'description'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
