module.exports = {
  create: {
    requestBody: [
      '!transaction_id',
      '!product_id',
      '!userid',
      '!result',
      'description'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'transaction_id',
      'product_id',
      'userid',
      'result',
      'description'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        transaction_id : 'transaction_id',
        product_id :'product_id',
        userid :'userid',
        result :'result',
        description :'description'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
