module.exports = {
  create: {
    requestBody: [
      "!product_id",
      "!userid",
      "!market_userid",
      "description",
      "username",
      "product_name",
      "type",
      "dockid",
      "market_username",
      "!status",
      "create_userid",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "product_id",
      "userid",
      "market_userid",
      "description",
      "username",
      "product_name",
      "market_username",
      "type",
      "dockid",
      "status",
      "create_userid",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        product_id: "product_id",
        userid: "userid",
        market_userid: "market_userid",
        status: "status",
        username: "username",
        product_name: "product_name",
        type: "type",
        dockid: "dockid",
        market_username: "market_username",
        description: "description",
        create_userid: "create_userid",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  findTransactionList:{
    parameters: {
      query: {
        product_id: "product_id",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
