'use strict';

const _ = require('lodash');
const meta = require('./.product.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 产品信息管理
class ProductController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.product;
  }

  async newfetch() {
    const data = await this.service.newfetch(this.ctx.params);
    this.ctx.ok({ data });
  }

  async newquery() {
    const res = await this.service.newquery(this.ctx.query);
    this.ctx.ok({ ...res });
  }

  // 查询子
  async allquery() {
    const data = await this.service.allquery(this.ctx.query);
    this.ctx.ok({ data });
  }
  // 导出测试
  async exportexcel(){
    const data = await this.service.exportexcel(this.ctx.request.body);
    this.ctx.ok({ data });
  }
}

module.exports = CrudController(ProductController, meta);
