'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');

// 产品审核表
const ProauditSchema = {
  product_id: { type: String, required: true, maxLength: 500 }, // 产品ID
  userid: { type: String, required: true, maxLength: 500 }, // 审核人ID
  result: { type: String, required: true, maxLength: 200 }, // 结果,1:通过审核 2:审核拒绝
  description: { type: String, required: false }, // 审核说明
};

const schema = new Schema(ProauditSchema, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Proaudit', schema, 'market_proaudit');
};
