'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');

// 交易审核表
const TranauditSchema = {
  transaction_id: { type: String, required: true, maxLength: 500 }, // 交易主表ID
  product_id: { type: String, required: true, maxLength: 500 }, // 产品ID
  userid: { type: String, required: true, maxLength: 500 }, // 审核人ID
  result: { type: String, required: true, maxLength: 200 }, // 结果,0:未审核 1:通过审核 2:审核拒绝
  description: { type: String, required: false }, // 审核说明
};

const schema = new Schema(TranauditSchema, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Tranaudit', schema, 'market_tranaudit');
};
