'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');

// 交易记录表
const TransactionSchema = {
  dockid: { type: String, required: false, maxLength: 500 }, // 对接id
  create_userid: { type: String, required: false, maxLength: 500 }, // 对接id
  userid: { type: String, required: true, maxLength: 500 }, // 购买人ID
  username: { type: String, required: false, maxLength: 500 }, // 购买人名称
  product_id: { type: String, required: true, maxLength: 500 }, // 产品ID
  product_name: { type: String, required: false, maxLength: 500 }, // 产品名称
  market_userid: { type: String, required: true, maxLength: 500 }, // 营销人ID
  market_username: { type: String, required: false, maxLength: 500 }, // 营销人名称
  description: { type: String, required: false, maxLength: 500 }, // 说明
  type: { type: String, required: false, maxLength: 20, default: '0' }, // 类别0、产品、1、专家
  status: { type: String, required: true, maxLength: 500 }, // 交易状态,0-发起交易,1-交易中,2-交易成功,3-交易取消
};
const schema = new Schema(TransactionSchema, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Transaction', schema, 'market_transaction');
};
