'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);

  // router.get('/api/market/user/hwsxg', controller.buff.userlist);
  router.get('/api/market/user/hwsxg', controller.buff.userCodeList);
  // 科技超市用户表设置路由
  router.post('user', '/api/market/user/uppasswd', controller.user.uppasswd);
  router.resources('user', '/api/market/user', controller.user); // index、create、show、destroy
  router.post('user', '/api/market/user/:id', controller.user.update);

  // 专家用户表设置路由
  router.resources('expertsuser', '/api/market/expertsuser', controller.expertsuser); // index、create、show、destroy
  router.post('expertsuser', '/api/market/expertsuser/update/:id', controller.expertsuser.update);
  router.post('expertsuser', '/api/market/expertsuser/upgrade/:id', controller.expertsuser.upgrade);

  // 专家申请表设置路由
  router.resources('expertsaudit', '/api/market/expertsaudit', controller.expertsaudit); // index、create、show、destroy
  router.post('expertsaudit', '/api/market/expertsaudit/update/:id', controller.expertsaudit.update);

  // 产品信息表设置路由
  router.get('product', '/api/market/product/allquery', controller.product.allquery);
  router.get('product', '/api/market/product/newquery', controller.product.newquery);
  router.get('product', '/api/market/product/newfetch/:id', controller.product.newfetch);
  router.resources('product', '/api/market/product', controller.product); // index、create、show、destroy
  router.post('product', '/api/market/product/update/:id', controller.product.update);
  
  // 导出测试
  router.post('/api/market/product/exportexcel', controller.product.exportexcel);

  // 产品类型表设置路由
  router.resources('protype', '/api/market/protype', controller.protype); // index、create、show、destroy
  router.post('protype', '/api/market/protype/update/:id', controller.protype.update);

  // 产品审核表设置路由
  router.resources('proaudit', '/api/market/proaudit', controller.proaudit); // index、create、show、destroy
  router.post('proaudit', '/api/market/proaudit/update/:id', controller.proaudit.update);

  // 交易记录表设置路由
  router.resources('transaction', '/api/market/transaction', controller.transaction); // index、create、show、destroy
  router.post('transaction', '/api/market/transaction/update/:id', controller.transaction.update);
  router.post('transaction', '/api/market/transaction/findTransactionList', controller.transaction.findTransactionList); // index、create、show、destroy

  // 交易审核表设置路由
  router.resources('tranaudit', '/api/market/tranaudit', controller.tranaudit); // index、create、show、destroy
  router.post('tranaudit', '/api/market/tranaudit/update/:id', controller.tranaudit.update);

  // 登录日志表
  router.resources('operationlog', '/api/market/operationlog', controller.operationlog); // index、create、show、destroy

  // 合同记录表设置路由
  router.get('/api/market/productpact/findpact/:id', controller.productpact.findpact);
  router.resources('productpact', '/api/market/productpact', controller.productpact); // index、create、show、destroy
  router.post('productpact', '/api/market/productpact/update/:id', controller.productpact.update);

  // 科技企业表设置路由
  router.resources('enterprise', '/api/market/enterprise', controller.enterprise); // index、create、show、destroy
  router.post('enterprise', '/api/market/enterprise/update/:id', controller.enterprise.update);

  // 用户登陆
  router.post('user', '/api/market/user/login', controller.user.login);

  // 栏目表设置路由
  router.resources('column', '/api/market/column', controller.column); // index、create、show、destroy
  router.post('column', '/api/market/column/update/:id', controller.column.update);

};
