/* eslint valid-jsdoc: "off" */

'use strict';
const { jwt } = require('./config.secret');
/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1579225760252_7743';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  // add your config here
  config.cluster = {
    listen: {
      port: 9004,
    },
  };

  // axios service config
  config.axios = {
    auth: { // 用户鉴权服务
      baseUrl: 'http://localhost:9999/api/auth/user',
    },
  };

  config.mongoose = {
    url: 'mongodb://localhost:27017/platform',
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
      useUnifiedTopology: true,
    },
  };
  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'train',
  };

  return {
    ...config,
    ...userConfig,
  };
};
